# /etc/dhcpd.conf
#
# Configuration file for ISC dhcpd on lugbe.net
#

# option definitions common to all supported networks...

option domain-name "lugbe.net";

# "domain-name-servers" must resolve on the dhcp server, else use ip-address

option domain-name-servers ns1.lugbe.net;

option subnet-mask 255.255.255.0;
default-lease-time 3600;
max-lease-time 36000;

# our subnet
# 192.168.1.1 + .2 and 192.168.1.244 - .254 are excluded
# .1 was the router, .2 was the switch
# .244 - .254 were for machines without dhcp-client

subnet 192.168.1.0 netmask 255.255.255.0 {
   range 192.168.1.3 192.168.1.243;
   option broadcast-address 192.168.1.255;
   option routers 192.168.1.1;
}

# Example: howto add a client with fixed ip-address and hostname based on MAC address
# the client must be configured to set the hostname from DHCP
# NOTE: on older servers just use " group { ... }

# group lugbe {
#    option domain-name "lugbe.net";
#    option domain-name-servers ns1.lugbe.net;
#    option subnet-mask 255.255.255.0;
#    default-lease-time 3600;
#    max-lease-time 36000;

#    host lugbe244 {
#      hardware ethernet 00:50:04:b5:15:ac;
#      fixed-address 192.168.1.244;

#      # you could override group-wide definitions here
#      # e.g.: option domain-name "lugbe.com"
#   }
# }
